Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdEdgeSelectionStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumEdgeSelectionWeights (void)
HRESULT | SetNumEdgeSelectionWeights ([in] RtDWORD dwNumEdgeSelectionWeights)
HRESULT | v1_weight ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v1_weight ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v1_orgelementtype ([in] RtDWORD dwIndex,[out, retval] RtBYTE *pVal)
HRESULT | v1_orgelementtype ([in] RtDWORD dwIndex,[in] RtBYTE newVal)
HRESULT | v1_orgelementindex ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | v1_orgelementindex ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | v2_weight ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v2_weight ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v2_orgelementtype ([in] RtDWORD dwIndex,[out, retval] RtBYTE *pVal)
HRESULT | v2_orgelementtype ([in] RtDWORD dwIndex,[in] RtBYTE newVal)
HRESULT | v2_orgelementindex ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | v2_orgelementindex ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | v3_weight ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | v3_weight ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | v3_orgelementtype ([in] RtDWORD dwIndex,[out, retval] RtBYTE *pVal)
HRESULT | v3_orgelementtype ([in] RtDWORD dwIndex,[in] RtBYTE pVal)
HRESULT | v3_orgelementindex ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | v3_orgelementindex ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdEdgeSelectionStream holds information about selected triangle edges. This information is maintained in mesh during point edit session and is used to transform selections specified for output mesh to selections specified to input mesh.

The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_EDGE_SEL_WEIGHTS id.

## Member Function Documentation

RtDWORD IRdEdgeSelectionStream::GetNumEdgeSelectionWeights | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::SetNumEdgeSelectionWeights | ( | [in] RtDWORD | dwNumEdgeSelectionWeights | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v1_weight | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get selection weight of 1-2 edge Parameters:
  dwIndex | Triangle index
  pVal | edge weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v1_weight | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set selection weight of 1-2 edge Parameters:
  dwIndex | Triangle index
  newVal | edge weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v1_orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtBYTE * | pVal
| ) |

  | Get original element type for edge 1-2 Parameters:
  dwIndex | Triangle index
  pVal | original element type
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v1_orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [in] RtBYTE | newVal
| ) |

  | Set original element type for edge 1-2 Parameters:
  dwIndex | Triangle index
  newVal | original element type
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v1_orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get original element index in source mesh for edge 1-2 Parameters:
  dwIndex | Triangle index
  pVal | original element index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v1_orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set original element index in source mesh for edge 1-2 Parameters:
  dwIndex | Triangle index
  newVal | original element index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v2_weight | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get selection weight of 2-3 edge Parameters:
  dwIndex | Triangle index
  pVal | edge weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v2_weight | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set selection weight of 2-3 edge Parameters:
  dwIndex | Triangle index
  newVal | edge weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v2_orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtBYTE * | pVal
| ) |

  | Get original element type for edge 2-3 Parameters:
  dwIndex | Triangle index
  pVal | original element type
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v2_orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [in] RtBYTE | newVal
| ) |

  | Get original element type for edge 2-3 Parameters:
  dwIndex | Triangle index
  pVal | original element type
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v2_orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get original element index in source mesh for edge 2-3 Parameters:
  dwIndex | Triangle index
  pVal | original element index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v2_orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set original element index in source mesh for edge 2-3 Parameters:
  dwIndex | Triangle index
  newVal | original element index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v3_weight | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get selection weight of 3-1 edge Parameters:
  dwIndex | Triangle index
  pVal | edge weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v3_weight | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set selection weight of 3-1 edge Parameters:
  dwIndex | Triangle index
  newVal | edge weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v3_orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtBYTE * | pVal
| ) |

  | Get original element type for edge 1-2 Parameters:
  dwIndex | Triangle index
  pVal | original element type
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v3_orgelementtype | ( | [in] RtDWORD | dwIndex,
|  | [in] RtBYTE | pVal
| ) |

  | Get original element type for edge 2-3 Parameters:
  dwIndex | Triangle index
  pVal | original element type
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v3_orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get original element index in source mesh for edge 3-1 Parameters:
  dwIndex | Triangle index
  pVal | original element index
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdEdgeSelectionStream::v3_orgelementindex | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set original element index in source mesh for edge 3-1 Parameters:
  dwIndex | Triangle index
  newVal | original element index
Returns: standard HRESULT processing can be applied to returned value